AWS
action RDS

# stop_db_cluster

Stop a RDS Cluster

Run it now
View details

Type | action
Module | chaosaws.rds.actions
Name | stop_db_cluster
Return | mapping

Usage

JSON

    {
      "name": "stop-db-cluster",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.rds.actions",
        "func": "stop_db_cluster",
        "arguments": {
          "db_cluster_identifier": ""
        }
      }
    }

YAML

    name: stop-db-cluster
    provider:
      arguments:
        db_cluster_identifier: ""
      func: stop_db_cluster
      module: chaosaws.rds.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
db_cluster_identifier | string |  | Yes | DB Cluster ID | Database cluster identifier

Signature

    def stop_db_cluster(
            db_cluster_identifier: str,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action RDS

  ## `reboot_db_instance`

  Forces a reboot of your DB instance
- AWS
  action RDS

  ## `delete_db_instance`

  Deletes an RDS instance
- AWS
  action RDS

  ## `reboot_db_instance`

  Forces a reboot of your DB instance